//////////////////////////////////////////
// Dice.h
// Copyright (c) 05/21/2022 by BCCSkelton
//////////////////////////////////////////
//BCCSkeltonのヘッダー−これに必要なヘッダーが入っている
#include	"BCCSkelton.h"
//リソースIDのヘッダー
#include	"ResDice.h"
//Dll.hヘッダー
#include	"Dll.h"
//DiceCtrlのヘッダー
#include	"DiceCtrl.h"
//DiceCtrl.lib をリンクする
#pragma comment(lib, "DiceCtrl.lib")
IMPORT bool InitDiceCtrl(HINSTANCE);
//winmm.lib をリンクする
#pragma comment(lib, "winmm.lib")
//言語切替用フラグ、フォントとコンスタント文字列
bool g_JAPANESE = FALSE;
CFONT g_Font;
char* Str_00 = "Dice - Chinchirorin";
char* Str_01 = "How to use";
char* Str_02 = "Roll";
char* Str_03 = "Exit";
char* Str_04 = "Record is given here";
char* Str_05 = "Wanna exit?";
char* Str_06 = "Confirmation";
char* Str_07 = "About \"Chinchirorin\"";
char* Str_08 = "You've got %d of dice %d.";
char* Str_09 = "You have %d more time(s) to try.";
char* Str_10 = "Dice - チンチロリン";
char* Str_11 = "使い方";
char* Str_12 = "投賽";
char* Str_13 = "終了";
char* Str_14 = "戦績表示";
char* Str_15 = "終了しますか？";
char* Str_16 = "確認";
char* Str_17 = "チンチロリンについて";
char* Str_18 = "賽の目：%d （第%d番賽）";
char* Str_19 = "後%d回、賽を振ることができます。";

/////////////////////////////////////////////////////////////////////
//CMyWndクラスをCDLGクラスから派生させ、メッセージ用の関数を宣言する
/////////////////////////////////////////////////////////////////////
class CMyWnd : public CDLG
{
public:	//以下はコールバック関数マクロと関連している
	//２重起動防止用のMutex用ID名称
	CMyWnd(char* UName) : CDLG(UName) {}
	//メンバー変数
	int m_Times = 3;
	//メニュー項目、ダイアログコントロール関連
	bool OnHowtouse();
	bool OnRoll();
	bool OnIdok();
	bool OnDice1(WPARAM);
	bool OnDice2(WPARAM);
	bool OnDice3(WPARAM);
	//ウィンドウメッセージ関連
	bool OnInit(WPARAM, LPARAM);
	bool OnClose(WPARAM, LPARAM);
};

////////////////////////////////////////////////////////////////////////
//派生させたCMyWndクラスのインスタンスとコールバック関数(マクロ）の作成
//主ウィンドウはダイアログと違い、コールバック関数は一つしか作れない
////////////////////////////////////////////////////////////////////////
CMyWnd Dice("Dice");	//ウィンドウクラスインスタンスの生成

BEGIN_MODALDLGMSG(ModalProc, Dice)	//コールバック関数名
	//メニュー項目、ダイアログコントロール関連
	ON_COMMAND(Dice, IDC_HOWTOUSE, OnHowtouse())
	ON_COMMAND(Dice, IDC_ROLL, OnRoll())
	ON_COMMAND(Dice, IDOK, OnIdok())
	ON_COMMAND(Dice, IDC_D1, OnDice1(wParam))
	ON_COMMAND(Dice, IDC_D2, OnDice2(wParam))
	ON_COMMAND(Dice, IDC_D3, OnDice3(wParam))
	//ウィンドウメッセージ関連
	//自動的にダイアログ作成時にOnInit()、終了時にOnClose()を呼びます
END_DLGMSG

///////////////////////
//ステータスバーの作成
///////////////////////
CSBAR SBar;
